Entwurf Bogen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Arc and the translation is 76% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎

Draft Arc.svg Entwurf Bogen

Menüeintrag
Entwurf → Bogen
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
A R
Eingeführt in Version
0.7
Siehe auch
Entwurf Kreis, Entwurf Ellipse, Entwurf Bogen 3Punkte

Beschreibung

Das Bogen Werkzeug erstellt einen Kreisbogen in der aktuellen Arbeitsebene durch Eingabe von vier Punkten, dem Mittelpunkt, dem Radius, dem ersten und letzten Punkt oder durch Auswahl von Tangenten oder einer Kombination von diesen. Es benutzt den Entwurf Linienstil auf den Entwurf Tray gesetzt.

A Draft Arc is in fact a Draft Circle with a DatenFirst Angle that is not the same as its DatenLast Angle.

Draft Arc example.jpg

Bogen definiert durch vier Punkte, Mittelpunkt, Radius, Startpunkt und letzter Punkt des Bogens

Anwendung

Siehe auch: Entwurf Ablage, Entwurf Fang und Entwurf beschränken.

Anwendung

  1. Drücke den Draft Arc.svg Bogen Taste oder drücke A, dann R
  2. Klicke einen ersten Punkt in der 3D Ansicht oder tippe eine Koordinate und drücke den Draft AddPoint.svg Punkt hinzufügen Taste.
  3. Klicke einen zweiten Punkt in der 3D Ansicht oder gib einen Wert für den Radius ein.
  4. Klicke einen dritten Punkt in der 3D Ansicht oder gib einen Startwinkel ein.
  5. Klicke einen vierten Punkt in der 3D Ansicht oder gib einen Öffnungswinkel ein.

Optionen

Die im Aufgabenpaneel verfügbaren Einzelzeichen-Tastaturkürzel können geändert werden. Siehe Entwurf Einstellungen. Die hier genannten Tastenkürzel sind die Standardtastenkürzel.

Optionen

  • Die primäre Anwendung des Kreisbogen-Werkzeugs erfolgt durch Auswahl von vier Punkten: dem Mittelpunkt, einem Punkt auf dem Umkreis, dem Startwinkel und dem Endpunkt.
  • Durch Drücken von Alt kannst Du eine Tangente anstatt eines Punkts zur Definition des Basiskreises des Bogens auswählen. Du kannst deshalb verschiedene Kreisarten durch Auswahl von ein, zwei oder drei Tangenten erstellen.
  • Die Richtung des Kreisbogens hängt von der Bewegung Deiner Maus ab. Wenn Du sie nach Eingabe des dritten Punkts im Uhrzeigersinn bewegst, wird auch der Kreisbogen im Uhrzeigersinn erstellt. Um ihn gegen den Uhrzeigersinn zu erstellen, bewege die Maus einfach zurück über den dritten Punkt, bis der Kreisbogen in die andere Richtung gezeichnet wird.
  • Um Koordinaten manuell einzugeben, gibt einfach die Ziffern ein, drücke dann Enter zwischen den X-, Y- und Z-Komponenten. Du kannst den Draft AddPoint.svg Punkt hinzufügen-Button drücken, wenn Du die gewünschten Werte zum Einfügen des Punkts hast.
  • Drücke T oder klicke das Ankreuzkästchen zum de/aktivieren des Nächstes-Buttons. Wenn der Fortsetzungsmodus aktiviert ist, wird das Kreisbogen-Tool nach Beenden des Bogens neugestartet, um das Zeichnen eines weiteren ohne erneutes Drücken des Werkzeug-Buttons zu ermöglichen.
  • Halte Strg während des Zeichnens, um das Einrasten Deines Punkts an der nächsten Einrastposition zu erzwingen, unabhängig vom Abstand.
  • Halte Shift während des Zeichnens, um Deinen Punkt horizontal oder vertikal in Relation zum Mittelpunkt einzuschränken.
  • Drücke Esc oder den Schließen-Button, um den aktuellen Linien-Befehl abzubrechen.

Hinweise

  • Ein Bogen kann mit dem Bearbeiten-Befehl geändert werden.

Einstellungen

Siehe auch: Einstellungseditor und Entwurf Einstellungen.

  • To change the number of decimals used for the input of coordinates, radii and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Eigenschaften

Siehe Draft Kreis.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Um einen Entwurf Bogen zu erstellen, verwende die Methode make_circle (introduced in version 0.19) des Entwurfmoduls. Diese Methode ersetzt die veraltete Methode makeCircle.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()